Skip to main content
GET
/
v1
/
workers
/
{id}
Get worker
curl --request GET \
  --url https://api.openworklabs.com/v1/workers/{id}
{
  "worker": {
    "id": "<string>",
    "orgId": "<string>",
    "createdByUserId": "<string>",
    "isMine": true,
    "name": "<string>",
    "description": "<string>",
    "destination": "<string>",
    "status": "<string>",
    "imageVersion": "<string>",
    "workspacePath": "<string>",
    "sandboxBackend": "<string>",
    "lastHeartbeatAt": "2023-11-07T05:31:56Z",
    "lastActiveAt": "2023-11-07T05:31:56Z",
    "createdAt": "2023-11-07T05:31:56Z",
    "updatedAt": "2023-11-07T05:31:56Z"
  },
  "instance": {
    "provider": "<string>",
    "region": "<string>",
    "url": "<string>",
    "status": "<string>",
    "createdAt": "2023-11-07T05:31:56Z",
    "updatedAt": "2023-11-07T05:31:56Z"
  }
}

Path Parameters

id
string<typeid>
required

Den TypeID with 'wrk_' prefix and a 26-character base32 suffix.

Required string length: 30
Pattern: ^wrk_.*

Response

Worker returned successfully.

worker
object
required
instance
object
required